import { EventEmitter } from '../../../stencil-public-runtime';
/**
 * Display a dialog that allows the user to specify an initials image, either by using a signature-font-generated image
 * based on their full name, or by hand-drawing their initials with a mouse or tablet.
 */
export declare class VerdocsInitialDialog {
    private canvasElement?;
    /**
     * Initial signature text
     */
    initials: string;
    /**
     * Event fired when the initials are adopted.
     */
    next: EventEmitter<string>;
    /**
     * Event fired when the step is cancelled. This is called exit to avoid conflicts with the JS-reserved "cancel" event name.
     */
    exit: EventEmitter;
    fontLoaded: boolean;
    enteredInitials: string;
    mode: string;
    componentWillLoad(): void;
    componentDidLoad(): void;
    componentDidUpdate(): void;
    redrawSignature(): void;
    handleNameChange(e: any): void;
    handleCancel(e: any): void;
    handleAdopt(e: any): void;
    render(): any;
}
